Subject: bug#55832: 28.1; Emacs crashes when using tramp from helm in emacs-29

From: Thierry Volpiatto <[email-masked]>
Date: Fri, 17 Jun 2022 17:10:38 +0000

Hi Michael,

Michael Albinus <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>> Hi Michael,
>
> Hi Thierry,
>
>>> I made a code review of using property "process-buffer" in Tramp, and
>>> there is indeed a case it behaves incorrectly: after spawning an
>>> asynchronous process. Recipe:
>>>
>>> # emacs -Q /sudo::
>>>
>>> M-: (tramp-list-connections)
>>> => ((tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("gandalf" 0 7 (tramp-default t)) nil nil nil))
>>>
>>> M-x async-shell-command RET ls
>>
>> Probably there is something else than this but couldn't figure out what, I
>> will let you know if I find other use cases.
>
> According to the code review, out-of-band methods (like "scp") are
> suspicious, too. And there might be some corner cases with the "smb" method.

Ok, I sometimes use scp but more rarely now that I have a rsync command
in helm, also last time I tried, scp method was not supporting more than
three file at the time (marked files), see
https://github.com/emacs-helm/helm/issues/1945.  
For smb I never used it. 

> I haven't tried to compose further recipes for problematic cases. I have
> simply changed the handling of the "process-buffer" and "process-name"
> properties in all Tramp files. This shall be good enough.

Ok thanks.

>>> M-: (tramp-list-connections)
>>> nil
>>>
>>> I'm working on a fix.
>>
>> Great thanks.
>
> I've pushed the fix to master.

Thanks, will try as soon as possible.

-- 
Thierry